function problem = setup_problem
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      ccparfin1
% from  2022-04-01 



% final time
problem.T = 1;

% provide numerical approximations of the domain integrals
% needed to evaluate the functions beta1, ..., beta4
problem.intw1cosx1cosx2 = integral2(@(x1,x2) w1(problem,x1,x2) .* cos(x1) .* cos(x2), 0, pi, 0, pi);
problem.intw2cosx1cosx2 = integral2(@(x1,x2) w2(problem,x1,x2) .* cos(x1) .* cos(x2), 0, pi, 0, pi);
problem.intw3cosx1cosx2 = integral2(@(x1,x2) w3(problem,x1,x2) .* cos(x1) .* cos(x2), 0, pi, 0, pi);
problem.intw4cosx1cosx2 = integral2(@(x1,x2) w4(problem,x1,x2) .* cos(x1) .* cos(x2), 0, pi, 0, pi);

